/*#region foooter*/

footer {
    .footer-body {
        .container {
            background: var(--secondary);
            border-top: 5px solid var(--primary);
        }
    }

    .footer-footer {
        .container {
            background: var(--secondary);
        }
    }

    p {
        color: $white;
    }

    .logo {
        img {
            filter: brightness(0) invert(1);
        }
    }




    .copy-write {
    }

    .footer-header {
      
    }

    .footer-body {
    

        .flex-container {
            > * {
                width: calc(50% - 11px);
                margin-right: 20px;
            }
            .col {
                &:nth-child(2){
                    margin-right:0;
                }
            }
        }

        .address {
            .address-item {
                .icon {
                    width: 30px;
                    margin-right: 10px;
                }

                .info-address {
                    width: calc(100% - 40px);

                    .h4 {
                        margin-bottom: 0;
                    }
                }
            }
        }

        a {
            color: $white;

            &:hover {
                color: $primary-color;
            }
        }

        h3 {
            font-size: 16px;
            margin-bottom: 15px;
            color: $white;
        }

        .logo-col {
            // width: 30%;
            .logo {
                display: block;
                margin-bottom: 10px;

                img {
                    height: 70px;
                }
            }
        }

        .info {
            // width: 25%;
            .blog-item-footer {
                .avatar {
                    width: 25%;
                }

                .content {
                    width: calc(75% - 10.5px);
                    margin-left: 10px;
                }
            }
        }

        .social {
            //  width: 20%;
            form {
                .form-group {
                    position: relative;

                    .form-control {
                        border-color: var(--primary);
                    }

                    button {
                        position: absolute;
                        top: 1px;
                        right: 1px;
                        padding: 5px 25px;
                        border-radius: 3px;
                    }
                }
            }

            a {
                margin-left: 10px;
                width: 40px;
                height: 40px;
                display: inline-block;
                border: 1px solid $black;
                border-radius: 50%;
                text-align: center;
                line-height: 40px;
                font-size: 20px;

                &:hover {
                    background: $primary-color;
                    color: $white;
                    border-color: $primary-color
                }
            }
        }
    }

    .copy-write {
        p {
            opacity: 0.8;
        }
    }
}


/*#endregion*/

/*#region #sad*/
/*#endregion*/

@media screen and (min-width: 1920px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (min-width: 1200px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (max-width: 1366px) {
    footer {
        .footer-body {
            .info {
                .blog-item-footer {
                    .avatar {
                        width: 30%;
                    }

                    .content {
                        width: calc(70% - 10.5px);
                    }
                }
            }
        }
    }
}
@media screen and (max-width: 1280px) {}

@media screen and (max-width: 1024px) {
    /*#region #sad*/
    footer {
        .footer-body {
            .info {
                .blog-item-footer {
                    .avatar {
                        width: 30%;
                    }

                    .content {
                        width: calc(70% - 10.5px);
                    }
                }
            }
        }

        .footer-body {
            background: var(--secondary);

            .flex-container {
                > * {
                    width:calc(50% - 11px);
                    margin-right:0;
                }
                .col {
                    margin-top: 10px;

                    &:nth-child(1){
                        margin-right: 20px;
                    }

                    
                    /*&:nth-child(4) {
                    width: calc(25% - 10px);
                    margin-right: 0px;
                }*/
                }
            }
        }
    }
    /*#endregion*/
}

@media screen and (max-width: 980px) {}

@media screen and (max-width: 768px) {

    /*#region footer*/
    footer {


        .footer-body {

            .flex-container {
                .col {
                    margin-right: 00px;

                    &:nth-child(1) {
                        width: calc(60% - 21px);
                        margin-right: 10px;
                    }

                    &:nth-child(2) {
                        width: 40%;
                        margin-left: 0px;
                    }

                    &:nth-child(3) {
                        width: 50%;
                        margin-right: 0px;
                        margin-left: 0px;
                    }
                }
            }
        }
    }
    .footer-header {
        &.container-flex>.row {
            @include flex-container();

            >.col:nth-child(1) {
                -webkit-box-ordinal-group: 3;
                -webkit-order: 2;
                -ms-flex-order: 2;
                order: 2;
                width: 100%;
                float: none;
                margin-top: 20px;
            }

            >.col:nth-child(2) {
                -webkit-box-ordinal-group: 2;
                -webkit-order: 1;
                -ms-flex-order: 1;
                order: 1;
                width: 100%;
                float: none;
                margin-top: 0;
            }
        }

        .flex-container {
            >a.col-item {
                margin-top: 40px;
            }
        }
    }

    /*#endregion*/
}

@media screen and (max-width: 650px) {}

@media screen and (max-width: 450px) {

    /*#region footer*/
    footer {


        .footer-body {
            .logo-col {
                .logo{
                    text-align:center;
                }
            }

            .flex-container {
                .col {
                    margin-right: 00px;

                    &:nth-child(1) {
                        width: 100%;
                    }

                    &:nth-child(2) {
                        width: 100%;
                    }

                    &:nth-child(3) {
                        width: 100%;
                    }

                    &:nth-child(4) {
                        width: 100%;
                    }
                }
            }
        }
    }
    .footer-header {
        .col-item {
            .col-header {
                margin-bottom: 10px;
            }
        }

        .flex-container {
            >.col-item {
                margin-top: 20px;

                &:nth-child(1),
                &:nth-child(2) {
                    width: 100%;
                    padding-right: 0;
                    padding-left: 0;
                }

                &:nth-child(1) {
                    margin-top: 0;
                }
            }
        }
    }

    footer .footer-header {
        padding-bottom: 20px;
    }

    footer {
        // padding: 0 20px;
        .newletter {
            input {
                width: 230px;
            }
        }

        .footer-body {
            .info {
                margin-top: 10px;
            }

            .social {
                a {
                    width: 20px;
                    height: 20px;
                }
            }
        }
    }

    /*#endregion*/
}

@media screen and (max-width: 375px) {}

@media screen and (max-width: 360px) {
    footer {
        // padding: 0 20px;
        .newletter {
            input {
                width: 215px;
            }
        }

      
    }
}

@media screen and (max-width: 320px) {

    /*#region #sad*/
    footer {
        padding: 0 0px;

        .newletter {
            input {
                width: 175px;
            }
        }
    }

    /*#endregion*/
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
    /*Code is here*/
}

/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active),
(-ms-high-contrast: none) {
    /*Code is here*/
}

/*#endregion*/